-- MySQL dump 10.15  Distrib 10.0.38-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: 127.0.0.1    Database: qfq_db
-- ------------------------------------------------------
-- Server version	10.5.5-MariaDB-1:10.5.5+maria~focal

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `BasicForm`
--

DROP TABLE IF EXISTS `BasicForm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `BasicForm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` varchar(45) NOT NULL,
  `number` int(11) NOT NULL,
  `date` date NOT NULL,
  `datetime` datetime NOT NULL,
  `decimal` decimal(10,2) NOT NULL,
  `enum` enum('first option','second option','third option') NOT NULL,
  `radio` enum('option a','option b','option c') NOT NULL,
  `dynamicUpdate` varchar(256) NOT NULL,
  `checkbox` set('1','2','3') NOT NULL,
  `pill_text` varchar(45) NOT NULL,
  `file` varchar(256) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=892 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `BasicForm`
--

LOCK TABLES `BasicForm` WRITE;
/*!40000 ALTER TABLE `BasicForm` DISABLE KEYS */;
INSERT INTO `BasicForm` VALUES (891,'uu',787,'2001-01-01','2001-01-01 11:11:00',1.00,'second option','option a','','2','','');
/*!40000 ALTER TABLE `BasicForm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Clipboard`
--

DROP TABLE IF EXISTS `Clipboard`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Clipboard` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cookie` varchar(255) NOT NULL DEFAULT '',
  `formIdPaste` int(11) NOT NULL DEFAULT 0,
  `idSrc` int(11) NOT NULL DEFAULT 0,
  `xId` int(11) NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Clipboard`
--

LOCK TABLES `Clipboard` WRITE;
/*!40000 ALTER TABLE `Clipboard` DISABLE KEYS */;
/*!40000 ALTER TABLE `Clipboard` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Cron`
--

DROP TABLE IF EXISTS `Cron`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Cron` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grId` int(11) NOT NULL,
  `xId` int(11) NOT NULL DEFAULT 0,
  `type` enum('mail','website') NOT NULL DEFAULT 'website',
  `lastRun` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastStatus` text NOT NULL,
  `nextRun` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `frequency` varchar(32) NOT NULL,
  `inProgress` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` enum('enable','disable') NOT NULL DEFAULT 'enable',
  `sql1` text NOT NULL,
  `content` text NOT NULL,
  `comment` text NOT NULL,
  `outputFile` varchar(255) NOT NULL,
  `outputMode` enum('overwrite','append') NOT NULL DEFAULT 'append',
  `outputPattern` varchar(255) NOT NULL,
  `autoGenerated` enum('yes','no') NOT NULL DEFAULT 'no',
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Cron`
--

LOCK TABLES `Cron` WRITE;
/*!40000 ALTER TABLE `Cron` DISABLE KEYS */;
/*!40000 ALTER TABLE `Cron` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Dirty`
--

DROP TABLE IF EXISTS `Dirty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Dirty` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sip` varchar(255) NOT NULL,
  `tableName` varchar(255) NOT NULL,
  `recordId` int(11) NOT NULL,
  `expire` datetime NOT NULL,
  `recordHashMd5` char(32) NOT NULL,
  `tabUniqId` varchar(32) NOT NULL,
  `feUser` varchar(255) NOT NULL,
  `qfqUserSessionCookie` varchar(255) NOT NULL,
  `dirtyMode` enum('exclusive','advisory','none') NOT NULL DEFAULT 'exclusive',
  `remoteAddress` varchar(45) NOT NULL,
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `sip` (`sip`),
  KEY `tableName` (`tableName`),
  KEY `recordId` (`recordId`)
) ENGINE=InnoDB AUTO_INCREMENT=260 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Dirty`
--

LOCK TABLES `Dirty` WRITE;
/*!40000 ALTER TABLE `Dirty` DISABLE KEYS */;
INSERT INTO `Dirty` VALUES (259,'5de64f2871670','BasicForm',891,'2019-12-03 12:34:16','f9780e6990e5cff29edc426ee6ac8700','','','00911ce84f20dd17f7dc5f1c5e457ebb','exclusive','172.17.0.1','2019-12-03 12:19:17','2019-12-03 12:19:17');
/*!40000 ALTER TABLE `Dirty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Form`
--

DROP TABLE IF EXISTS `Form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Form` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(1023) NOT NULL DEFAULT '',
  `noteInternal` text NOT NULL,
  `tableName` varchar(255) NOT NULL DEFAULT '',
  `primaryKey` varchar(255) NOT NULL DEFAULT '',
  `permitNew` enum('sip','logged_in','logged_out','always','never') NOT NULL DEFAULT 'sip',
  `permitEdit` enum('sip','logged_in','logged_out','always','never') NOT NULL DEFAULT 'sip',
  `restMethod` set('get','post','put','delete') NOT NULL DEFAULT '',
  `escapeTypeDefault` varchar(32) NOT NULL DEFAULT 'c',
  `render` enum('bootstrap','table','plain') NOT NULL DEFAULT 'bootstrap',
  `requiredParameterNew` varchar(255) NOT NULL DEFAULT '',
  `requiredParameterEdit` varchar(255) NOT NULL DEFAULT '',
  `dirtyMode` enum('exclusive','advisory','none') NOT NULL DEFAULT 'exclusive',
  `showButton` set('new','delete','close','save') NOT NULL DEFAULT 'new,delete,close,save',
  `multiMode` enum('none','horizontal','vertical') NOT NULL DEFAULT 'none',
  `multiSql` text NOT NULL,
  `multiDetailForm` varchar(255) NOT NULL DEFAULT '',
  `multiDetailFormParameter` varchar(255) NOT NULL DEFAULT '',
  `forwardMode` enum('auto','close','no','url','url-skip-history','url-sip','url-sip-skip-history') NOT NULL DEFAULT 'auto',
  `forwardPage` varchar(511) NOT NULL DEFAULT '',
  `labelAlign` enum('default','left','center','right') NOT NULL DEFAULT 'default',
  `bsLabelColumns` varchar(255) NOT NULL DEFAULT '',
  `bsInputColumns` varchar(255) NOT NULL DEFAULT '',
  `bsNoteColumns` varchar(255) NOT NULL DEFAULT '',
  `parameter` text NOT NULL,
  `parameterLanguageA` text NOT NULL,
  `parameterLanguageB` text NOT NULL,
  `parameterLanguageC` text NOT NULL,
  `parameterLanguageD` text NOT NULL,
  `recordLockTimeoutSeconds` int(11) NOT NULL DEFAULT 900,
  `deleted` enum('yes','no') NOT NULL DEFAULT 'no',
  `fileStats` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `name_deleted` (`name`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=1008 DEFAULT CHARSET=utf8 COMMENT='Version=21.2.0&functionHash=dec0567ea030ed61fe7cee8dbba2a935&functionVersion=21.2.0';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Form`
--

LOCK TABLES `Form` WRITE;
/*!40000 ALTER TABLE `Form` DISABLE KEYS */;
INSERT INTO `Form` VALUES (1,'form','Form Editor: {{SELECT id, \" / \", name FROM Form WHERE id = {{r:S0}}}} (DB: {{dbNameQfq:Y}})','FormElement Editor','Form','','sip','sip','','c','bootstrap','','','exclusive','new,delete,close,save','none','','','','auto','','default','','','','maxVisiblePill=5\nclass=container-fluid\ndbIndex={{indexQfq:Y}}','','','','',900,'no','{\"modified\":1613726089,\"size\":55826,\"inode\":3577990}','2021-02-19 09:14:49','2021-02-19 09:14:49'),(2,'formElement','Form Element Editor. Form : {{SELECT f.id, \" / \",  f.name  FROM Form AS f WHERE f.id = {{formId:SR0}}  }} (DB: {{dbNameQfq:Y}})','Please secure the form','FormElement','','sip','sip','','c','bootstrap','formId','','exclusive','new,delete,close,save','none','','','','auto','','default','','','','maxVisiblePill=5\nclassBody=qfq-color-blue-1\ndbIndex={{indexQfq:Y}}','','','','',900,'no','{\"modified\":1613726089,\"size\":57730,\"inode\":3577991}','2021-02-19 09:14:49','2021-02-19 09:14:49'),(3,'copyForm','Copy a form','','Clipboard','','sip','sip','','c','bootstrap','','','exclusive','close,save','none','','','','url-sip-skip-history','?id={{pageId:T}}&form=form&r={{formId:P0}}','default','','','','submitButtonText = Copy Form','','','','',900,'no','{\"modified\":1613726089,\"size\":9469,\"inode\":3577988}','2021-02-19 09:14:49','2021-02-19 09:14:49'),(4,'cron','autoCron','','Cron','','sip','sip','','c','bootstrap','','','none','new,delete,close,save','none','','','','auto','','default','','','','dbIndex={{indexQfq:Y}}','','','','',900,'no','{\"modified\":1613726089,\"size\":19398,\"inode\":3577989}','2021-02-19 09:14:49','2021-02-19 09:14:49'),(1007,'basicForm','','','BasicForm','','sip','sip','','c','bootstrap','','','exclusive','new,delete,close,save','none','','','','auto','','default','','','','','','','','',900,'no','{\"modified\":1613726089,\"size\":18245,\"inode\":3577981}','2019-10-08 10:45:34','2019-10-08 10:45:34');
/*!40000 ALTER TABLE `Form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `FormElement`
--

DROP TABLE IF EXISTS `FormElement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `FormElement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formId` int(11) NOT NULL,
  `feIdContainer` int(11) NOT NULL DEFAULT 0,
  `dynamicUpdate` enum('yes','no') NOT NULL DEFAULT 'no',
  `enabled` enum('yes','no') NOT NULL DEFAULT 'yes',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(1023) NOT NULL DEFAULT '',
  `mode` enum('show','required','readonly','hidden') NOT NULL DEFAULT 'show',
  `modeSql` text NOT NULL,
  `class` enum('native','action','container') NOT NULL DEFAULT 'native',
  `type` enum('checkbox','date','datetime','dateJQW','datetimeJQW','extra','gridJQW','text','editor','annotate','time','note','password','radio','select','subrecord','upload','annotate','imageCut','fieldset','pill','templateGroup','beforeLoad','beforeSave','beforeInsert','beforeUpdate','beforeDelete','afterLoad','afterSave','afterInsert','afterUpdate','afterDelete','sendMail','paste') NOT NULL DEFAULT 'text',
  `subrecordOption` set('edit','delete','new') NOT NULL DEFAULT '',
  `encode` enum('none','specialchar') NOT NULL DEFAULT 'specialchar',
  `checkType` enum('auto','alnumx','digit','numerical','email','pattern','allbut','all') NOT NULL DEFAULT 'auto',
  `checkPattern` varchar(255) NOT NULL DEFAULT '',
  `onChange` varchar(255) NOT NULL DEFAULT '',
  `ord` int(11) NOT NULL DEFAULT 0,
  `tabindex` int(11) NOT NULL DEFAULT 0,
  `size` varchar(255) NOT NULL DEFAULT '',
  `maxLength` varchar(255) NOT NULL DEFAULT '',
  `labelAlign` enum('default','left','center','right') NOT NULL DEFAULT 'default',
  `bsLabelColumns` varchar(255) NOT NULL DEFAULT '',
  `bsInputColumns` varchar(255) NOT NULL DEFAULT '',
  `bsNoteColumns` varchar(255) NOT NULL DEFAULT '',
  `rowLabelInputNote` set('row','label','/label','input','/input','note','/note','/row') NOT NULL DEFAULT 'row,label,/label,input,/input,note,/note,/row',
  `note` text NOT NULL,
  `adminNote` text NOT NULL,
  `tooltip` varchar(255) NOT NULL DEFAULT '',
  `placeholder` varchar(2048) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  `sql1` text NOT NULL,
  `parameter` text NOT NULL,
  `parameterLanguageA` text NOT NULL,
  `parameterLanguageB` text NOT NULL,
  `parameterLanguageC` text NOT NULL,
  `parameterLanguageD` text NOT NULL,
  `clientJs` text NOT NULL,
  `feGroup` varchar(255) NOT NULL DEFAULT '',
  `deleted` enum('yes','no') NOT NULL DEFAULT 'no',
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `formId` (`formId`),
  KEY `formId_class_enabled_deleted` (`formId`,`class`,`enabled`,`deleted`),
  KEY `feIdContainer` (`feIdContainer`),
  KEY `ord` (`ord`),
  KEY `feGroup` (`feGroup`)
) ENGINE=InnoDB AUTO_INCREMENT=765 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `FormElement`
--

LOCK TABLES `FormElement` WRITE;
/*!40000 ALTER TABLE `FormElement` DISABLE KEYS */;
INSERT INTO `FormElement` VALUES (1,1,0,'no','yes','basic','Basic','show','','container','pill','','specialchar','all','','',100,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(2,1,0,'no','yes','formelement','Formelement','show','','container','pill','','specialchar','all','','',200,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(3,1,0,'no','yes','layout','Layout','show','','container','pill','','specialchar','all','','',300,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(4,1,0,'no','yes','access','Access','show','','container','pill','','specialchar','all','','',400,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(5,1,0,'no','yes','multi','Multi','show','','container','pill','','specialchar','all','','',500,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(100,2,0,'no','yes','basic','Basic','show','','container','pill','','specialchar','all','','',10,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(101,2,0,'no','yes','check_order','Check & Order','show','','container','pill','','specialchar','all','','',290,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(102,2,0,'no','yes','layout','Layout','show','','container','pill','','specialchar','all','','',390,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(103,2,0,'no','yes','value','Value','show','','container','pill','','specialchar','all','','',490,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(496,1007,504,'no','yes','text','text','required','','native','text','','specialchar','auto','','',30,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-08 10:46:38'),(497,1007,504,'no','yes','number','number','required','','native','text','','specialchar','digit','','',40,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-08 10:56:32'),(498,1007,504,'no','yes','date','date','required','','native','date','','specialchar','auto','','',50,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-08 11:17:49'),(499,1007,504,'no','yes','datetime','datetime','required','','native','datetime','','specialchar','auto','','',60,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-08 11:18:08'),(500,1007,504,'no','yes','decimal','decimal','required','','native','text','','specialchar','numerical','','',70,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-08 11:18:38'),(501,1007,504,'no','yes','enum','enum','required','','native','select','','specialchar','auto','','',80,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-08 11:19:35'),(502,1007,504,'yes','yes','radio','radio','required','','native','radio','','specialchar','auto','','',90,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-09 09:30:13'),(503,1007,504,'no','yes','checkbox','checkbox','show','','native','checkbox','','specialchar','auto','','',110,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-09 11:44:18'),(504,1007,0,'no','yes','pill1','pill1','show','','container','pill','','specialchar','auto','','',10,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:39','2019-10-23 06:35:04'),(505,1007,0,'no','yes','pill2','pill2','show','','container','pill','','specialchar','auto','','',20,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-23 06:39:05'),(506,1007,505,'no','yes','pill_text','pill_text','show','','native','text','','specialchar','auto','','',120,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:36','2019-10-23 10:15:43'),(507,1007,505,'no','yes','file','File Upload','show','','native','upload','','specialchar','auto','','',130,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','accept = .txt\r\n\r\nfileDestination={{ SELECT CONCAT(\'fileadmin/{{id:R}}_{{filename}}\') }}\r\n\r\ndownloadButton = t:{{SELECT SUBSTRING(\'{{file:R}}\', LOCATE(\'_\', \'{{file:R}}\')+1) }}\r\nmaxFileSize = \'64B\'','','','','','','','no','2019-10-24 11:59:36','2019-10-24 06:41:59'),(508,1007,504,'yes','yes','dynamicUpdate','dynamic update','show','{{SELECT IF( \'{{radio:FR:alnumx}}\'=\'option c\' ,\'required\', \'hidden\' ) }}','native','text','','specialchar','auto','','',100,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-10-24 11:59:42','2019-10-24 11:59:03'),(679,1,0,'no','yes','','Delete FE','show','','action','beforeDelete','','none','all','','',10,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlAfter={{DELETE FROM FormElement WHERE formId={{id:R}} }}','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(680,1,0,'no','yes','','Check for double form name','show','','action','beforeSave','','none','all','','',20,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlValidate={{!SELECT f.id FROM Form AS f WHERE  f.name!=\"\" AND f.name=\"{{name:F:alnumx}}\" AND f.id!={{id:R0}}  }}\nexpectRecords=0\nmessageFail=There is already another form with the name \"{{name:F:alnumx}}\".','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(681,1,1,'no','yes','name','Name','required','','native','text','','specialchar','pattern','[a-zA-Z0-9._+-]+','',110,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-name\">Info</a>','','','','','','autofocus\ndata-pattern-error=Allowed characters: alphabet, number or . - +','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(682,1,1,'no','yes','title','Title','show','','native','text','','none','all','','',120,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-title\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(683,1,1,'no','yes','noteInternal','Note','show','','native','text','','specialchar','all','','',130,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-note\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(684,1,1,'no','yes','tableName','Table','required','','native','select','','specialchar','all','','',140,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-tablename\">Info</a>','','','','','{{[{{indexData:Y}}]!SHOW tables}}','emptyItemAtStart','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(685,1,1,'no','yes','parameterLanguageA','Language: {{formLanguageALabel:YE}}','show','{{SELECT IF(\"{{formLanguageAId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',150,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multiple-languages\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(686,1,1,'no','yes','parameterLanguageB','Language: {{formLanguageBLabel:YE}}','show','{{SELECT IF(\"{{formLanguageBId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',160,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multiple-languages\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(687,1,1,'no','yes','parameterLanguageC','Language: {{formLanguageCLabel:YE}}','show','{{SELECT IF(\"{{formLanguageCId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',170,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multiple-languages\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(688,1,1,'no','yes','parameterLanguageD','Language: {{formLanguageDLabel:YE}}','show','{{SELECT IF(\"{{formLanguageDId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',180,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multiple-languages\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(689,1,2,'no','yes','','FormElements','show','','native','subrecord','edit,delete,new','none','all','','',210,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT fe.ord AS _ord, IF( fe.enabled=\"yes\", IF( fe.enabled=\"yes\" AND fe.feIdContainer=0 AND !ISNULL(feCX.id) AND fe.class=\"native\", \"danger\", IF( fe.class=\"container\", \"text-info\",  IF( fe.class=\"action\", \"text-success\", \"\"))), \"text-muted\") AS _rowClass, IF( fe.enabled=\"yes\", IF(fe.feIdContainer=0 AND !ISNULL(feCX.id) AND fe.class=\"native\", \"Please choose a container for this formelement\", fe.class), \"Disabled\") AS _rowTitle, fe.id AS _id, CONCAT(\'<span id=\"qfq-dnd-ord-id-\', fe.id,\'\">\', fe.ord, \'</span><br><small class=\"text-muted\">\',fe.id, \'</small>\') AS \'Ord|nostrip\', CONCAT( IFNULL( CONCAT( feC.name, \" (\", fe.feIdContainer, \")\"),\"\")) AS Container, fe.name AS \"Name|50\", fe.label AS Label, fe.mode AS Mode, fe.class AS Class,	fe.type AS Type, IF(fe.dynamicUpdate=\"yes\", \'<span class=\"glyphicon glyphicon-random\"></span>\',\"\") AS \"Dyn|nostrip\" FROM FormElement AS fe LEFT JOIN FormElement AS feC ON feC.id=fe.feIdContainer AND feC.formId=fe.formId LEFT JOIN FormElement AS feCX ON feCX.class=\"container\" AND feCX.enabled=\"yes\" AND feCX.type=\"pill\" AND feCX.formId=fe.formId WHERE fe.formId={{id:R0}} GROUP BY fe.id ORDER BY fe.ord, fe.id}}','form=formElement\ndetail=id:formId\nsubrecordTableClass=table table-hover qfq-subrecord-table qfq-color-grey-2 tablesorter tablesorter-filter tablesorter-column-selector','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(690,1,3,'no','yes','showButton','Show button','show','','native','checkbox','','specialchar','all','','',220,0,'0','5','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#showbutton\">Info</a>','','','','','','checkBoxMode = multi\norientation=vertical','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(691,1,3,'no','yes','labelAlign','Label Align','show','','native','radio','','specialchar','alnumx','','',225,0,'0','5','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-label-align\">Info</a>','','','','','','buttonClass','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(692,1,3,'no','yes','parameter','Parameter','show','','native','text','','none','all','','',230,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-parameter\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(693,1,3,'no','yes','bsLabelColumns','BS Label Columns','show','','native','text','','specialchar','all','','',240,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-layout\">Info</a>','','','{{bsLabelColumns:Y}}','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(694,1,3,'no','yes','bsInputColumns','BS Input Columns','show','','native','text','','specialchar','all','','',250,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{bsInputColumns:Y}}','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(695,1,3,'no','yes','bsNoteColumns','BS Note Columns','show','','native','text','','specialchar','all','','',260,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{bsNoteColumns:Y}}','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(696,1,4,'no','yes','forwardMode','Forward','show','','native','radio','','specialchar','all','','',310,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-forward\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(697,1,4,'no','yes','forwardPage','Forward URL / Page','show','','native','text','','none','all','','',320,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-forward\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(698,1,4,'no','yes','requiredParameterNew','Required Parameter NEW','show','','native','text','','specialchar','all','','',330,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#required-parameter-new-edit\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(699,1,4,'no','yes','requiredParameterEdit','Required Parameter EDIT','show','','native','text','','specialchar','all','','',340,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#required-parameter-new-edit\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(700,1,4,'no','yes','permitNew','Permit New','show','','native','radio','','specialchar','all','','',350,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-permitnewedit\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(701,1,4,'no','yes','permitEdit','Permit Edit','show','','native','radio','','specialchar','all','','',360,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-permitnewedit\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(702,1,4,'no','yes','restMethod','Permit REST','show','','native','checkbox','','specialchar','all','','',370,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#rest\">Info</a>','','','','','','buttonClass=btn-default\nitemList=get,post:insert,put:update,delete','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(703,1,4,'no','yes','escapeTypeDefault','Escape type default','show','','native','radio','','specialchar','all','','',380,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Variable.html#variable-escape\">Info</a>','','','','','','itemList=c:config,s:single,d:double,l:ldap search,L:ldap value,m:mysql realEscapeString,-:none\nbuttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(704,1,4,'no','yes','dirtyMode','Record Locking','show','','native','radio','','specialchar','all','','',390,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#locking-record\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(705,1,4,'no','yes','recordLockTimeoutSeconds','Lock timeout (seconds)','show','','native','text','','specialchar','all','','',400,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#locking-record\">Info</a>','','','','{{SELECT IF(\"{{recordLockTimeoutSeconds:R0}}\"=0,\"{{recordLockTimeoutSeconds:Y0}}\",\"{{recordLockTimeoutSeconds:R0}}\")}}','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(706,1,4,'no','yes','primaryKey','Primary Key','show','','native','text','','specialchar','all','','',410,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#form-primary-key\">Info</a>','','','id','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(707,1,5,'no','yes','multi','Multi','show','','native','fieldset','','specialchar','all','','',510,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(708,1,5,'no','yes','multiMode','Multi Mode','show','','native','radio','','specialchar','all','','',520,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','buttonClass','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(709,1,5,'no','yes','multiSql','Multi SQL','show','','native','text','','none','all','','',530,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(710,1,5,'no','yes','multiDetailForm','Multi Detail Form','show','','native','text','','specialchar','all','','',540,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(711,1,5,'no','yes','multiDetailFormParameter','Multi Detail Form Parameter','show','','native','text','','none','all','','',550,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(712,2,100,'yes','yes','feIdContainer','Container','show','{{SELECT IF(COUNT(fe.id)>0, \"show\", \"hidden\") FROM Form AS f LEFT JOIN FormElement AS fe ON f.id=fe.formId AND fe.class=\"container\" WHERE f.id={{formId:S0}} GROUP BY f.id}}','native','select','','specialchar','all','','',120,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-container\">Info</a>','','','','{{feIdContainer:FR:::{{SELECT fe.feIdContainer FROM FormElement AS fe WHERE fe.formId={{formId:SR0}} AND fe.feIdContainer!=0 AND \"{{class:FRD0:alnumx}}\"!=\"action\" ORDER BY fe.modified DESC LIMIT 1}}}}','{{!SELECT fe.id, CONCAT(fe.type, \" / \", fe.name, \" (\", COUNT(feSub.id), \")\" ) FROM FormElement As fe LEFT JOIN FormElement As feSub ON feSub.feIdContainer=fe.id WHERE fe.formId={{formId:SR0}} AND fe.class=\"container\"  AND (\"{{class:FRD0:alnumx}}\"!=\"action\" OR fe.type=\"templateGroup\") GROUP BY fe.id ORDER BY fe.type, fe.ord, fe.name }}','emptyItemAtStart','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(713,2,100,'no','yes','enabled','Enabled','show','','native','checkbox','','specialchar','all','','',130,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-native\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(714,2,100,'no','yes','dynamicUpdate','Dynamic Update','show','','native','checkbox','','specialchar','all','','',135,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#dynamic-update\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(715,2,100,'no','yes','name','Name','show','','native','text','','specialchar','all','','',140,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-native\">Info</a>','','','','','','typeAheadSql = [{{indexData:Y}}]SELECT COLUMN_NAME FROM information_schema.columns WHERE table_schema = \"{{DB_1_NAME:Y}}\" AND table_name = \"{{SELECT f.tableName FROM Form AS f WHERE f.id={{formId:S0}}}}\" AND COLUMN_NAME LIKE ? ORDER BY COLUMN_NAME\ntypeAheadMinLength = 1\ntypeAheadLimit = 100\ntypeAheadPedantic = 0\n','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(716,2,100,'no','yes','label','Label','show','','native','text','','none','all','','',150,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-native\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(717,2,100,'no','yes','mode','Mode','show','','native','radio','','specialchar','all','','',160,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-native\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(718,2,100,'no','yes','modeSql','Mode sql','show','','native','text','','none','all','','',170,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#dynamic-update\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(719,2,100,'yes','yes','class','Class','show','','native','radio','','none','all','','',180,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-container\">Info</a>','','','','{{class:FSRD0:alnumx}}','','buttonClass','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(720,2,100,'yes','yes','type','Type','show','','native','select','','specialchar','all','','',190,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-native\">Native</a>, <a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-action\">Action</a>, <a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-container\">Container</a>','','','','','','itemList={{SELECT IF( \"{{class:FRD0:alnumx}}\"=\"native\",\"checkbox,date,time,datetime,dateJQW,datetimeJQW,extra,gridJQW,text,editor,annotate,imageCut,note,password,radio,select,subrecord,upload\", IF(\"{{class:FRD0:alnumx}}\"=\"action\",\"beforeLoad,beforeSave,beforeInsert,beforeUpdate,beforeDelete,afterLoad,afterSave,afterInsert,afterUpdate,afterDelete,sendMail,paste\", \"fieldset,pill,templateGroup\")  ) }}','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(721,2,100,'yes','yes','subrecordOption','Subrecord Option','show','{{ SELECT IF(\"{{type:FRE:alnumx}}\"=\"subrecord\" AND \"{{class:FRE:alnumx}}\"=\"native\", \"show\", \"hidden\") }}','native','checkbox','','specialchar','all','','',200,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#subrecord-option\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(722,2,100,'no','yes','parameterLanguageA','Language: {{formLanguageALabel:YE}}','show','{{SELECT IF(\"{{formLanguageAId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(723,2,100,'no','yes','parameterLanguageB','Language: {{formLanguageBLabel:YE}}','show','{{SELECT IF(\"{{formLanguageBId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(724,2,100,'no','yes','parameterLanguageC','Language: {{formLanguageCLabel:YE}}','show','{{SELECT IF(\"{{formLanguageCId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(725,2,100,'no','yes','parameterLanguageD','Language: {{formLanguageDLabel:YE}}','show','{{SELECT IF(\"{{formLanguageDId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(726,2,101,'yes','yes','encode','Encode','show','','native','radio','','specialchar','all','','',300,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}/Form.html#field-encode\">Info</a> {{SELECT IF(\'{{encode:FRE:alnumx}}\' = \'specialchar\' AND \'{{checkType:FRE:alnumx}}\' = \'allbut\', \"<br><span class=\'text-danger\'> <span class=\'glyphicon glyphicon-warning-sign\'></span> <span>Encode \'specialchar\' is not completely compatible with Check Type \'allbut\': certain user input will be converted to its HTML representation (e.g. &amp;quot;), which makes use of a non-supported character (&amp;)</span></span>\", \'\') }}','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(727,2,101,'yes','yes','checkType','Check Type','show','','native','radio','','specialchar','all','','',310,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-checktype\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(728,2,101,'yes','yes','checkPattern','Check Pattern','show','{{ SELECT IF(\"{{checkType:FRE:alnumx}}\"=\"pattern\" OR \"{{checkType:FRE:allbut}}\" LIKE \"min%\", \"show\", \"hidden\") }}','native','text','','none','all','','',320,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-checkpattern\">Info</a>, <a tabindex=\"-1\" href=\"https://regex101.com/\">Regex101</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(729,2,101,'no','yes','ord','Order','show','','native','text','','specialchar','all','','',340,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-ord\">Info</a>','','','','{{SELECT IF({{ord:R0}}=0,  MAX(IFNULL(fe.ord,0))+10,{{ord:R0}})  FROM (SELECT 1) AS a LEFT JOIN FormElement AS fe ON fe.formId={{formId:S0}} GROUP BY fe.formId}}','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(730,2,101,'no','yes','adminNote','Internal Note','show','','native','text','','specialchar','all','','',360,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(731,2,102,'no','yes','labelAlign','Label Align','show','','native','radio','','specialchar','all','','',400,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#class-native\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(732,2,102,'no','yes','size','Size','show','','native','text','','specialchar','all','','',405,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-size\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(733,2,102,'no','yes','bsLabelColumns','BS Label Columns','show','','native','text','','specialchar','all','','',410,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-bslabelcolumns\">Info</a>','','','{{SELECT IF(f.bsLabelColumns != \'\', f.bsLabelColumns, \'{{bsLabelColumns:Y}}\') FROM Form AS f WHERE f.id = {{formId}} }}','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(734,2,102,'no','yes','bsInputColumns','BS Input Columns','show','','native','text','','specialchar','all','','',420,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{SELECT IF(f.bsInputColumns != \'\', f.bsInputColumns, \'{{bsInputColumns:Y}}\') FROM Form AS f WHERE f.id = {{formId}} }}','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(735,2,102,'no','yes','bsNoteColumns','BS Note Columns','show','','native','text','','specialchar','all','','',430,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{SELECT IF(f.bsNoteColumns != \'\', f.bsNoteColumns, \'{{bsNoteColumns:Y}}\') FROM Form AS f WHERE f.id = {{formId}} }}','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(736,2,102,'no','yes','rowLabelInputNote','Label / Input / Note','show','','native','checkbox','','specialchar','alnumx','','',440,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-rowlabelinputnote\">Info</a>','','','','','','minWidth=72','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(737,2,102,'no','yes','maxLength','Maxlength','show','','native','text','','specialchar','all','','',450,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-maxlength\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(738,2,102,'no','yes','note','Note','show','','native','text','','none','all','','',460,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-note\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(739,2,102,'no','yes','tooltip','Tooltip','show','','native','text','','none','all','','',470,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-tooltip\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(740,2,102,'no','yes','placeholder','Placeholder','show','','native','text','','none','all','','',480,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-placeholder\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(741,2,103,'no','yes','value','value','show','','native','text','','none','all','','',500,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#field-value\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(742,2,103,'no','yes','sql1','sql1','show','','native','text','','none','all','','',510,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#sql1\">Info</a><br><br>MariaDB: <a tabindex=\"-1\" href=\"https://mariadb.com/kb/en/mariadb/select/\">Select</a>, <a tabindex=\"-1\" href=\"https://mariadb.com/kb/en/mariadb/functions-and-operators/\">Functions</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(743,2,103,'no','yes','parameter','Parameter','show','','native','text','','none','all','','',520,0,'80,1,350','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a tabindex=\"-1\" href=\"{{documentation:Y}}/Form.html#fe-parameter-attributes\">Info</a>','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(744,2,0,'no','yes','Check Name Conflict','','show','','action','beforeSave','','specialchar','auto','','',650,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlValidate={{!SELECT fe.id FROM FormElement AS fe WHERE \"{{class:F:alnumx}}\"=fe.class AND fe.formId={{formId:RF}} AND fe.name!=\"\" AND fe.name=\"{{name:F:alnumx}}\" AND fe.id!={{id:R0}} }}\r\n\r\nexpectRecords=0\r\n\r\nmessageFail=There is already another {{class:F:alnumx}} form element with name \"{{name:F:alnumx}}\".','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(745,2,0,'no','yes','Check Name Empty Container','','show','','action','beforeSave','','specialchar','auto','','',660,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlValidate ={{!SELECT \'1\' FROM (SELECT \'\') AS _fake WHERE \"{{class:F:alnumx}}\"=\"container\" AND \"{{name:F:alnumx}}\"=\"\"}}\r\n\r\nexpectRecords=0\r\n\r\nmessageFail=Form elements of class container must have a unique non-empty name.','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(746,3,0,'no','yes','idSrc','Source Form','show','','native','select','','specialchar','auto','','',10,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT f.id, CONCAT(f.name, \" / \", f.title) FROM Form AS f ORDER BY f.name}}','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(747,3,0,'no','yes','myNewFormName','New Form Name','show','','native','text','','specialchar','auto','','',20,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(748,3,0,'no','yes','clearClipboard','','show','','action','beforeSave','','specialchar','auto','','',100,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlValidate={{!SELECT f.id FROM Form AS f WHERE f.name LIKE \"{{myNewFormName:FE:alnumx}}\" LIMIT 1}}\nexpectRecords = 0\nmessageFail = There is already a form \"{{myNewFormName:FE}}\"\nsqlAfter={{DELETE FROM Clipboard WHERE cookie=\"{{cookieQfq:C0:alnumx}}\" }}','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(749,3,0,'no','yes','updateClipboardRecord','','show','','action','afterSave','','specialchar','auto','','',110,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlAfter={{UPDATE Clipboard AS c, Form AS f SET c.cookie=\"{{cookieQfq:C0:alnumx}}\", c.formIdPaste=f.id /* PasteForm */  WHERE c.id={{id:R}} AND f.name=\"{{form:SE}}\" }}','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(750,3,0,'no','yes','formId','','show','','action','paste','','specialchar','auto','','',200,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT {{id:P}} AS id, \"{{myNewFormName:FE:allbut}}\" AS name}}','recordDestinationTable=Form','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(751,3,0,'no','yes','formElementId','','show','','action','paste','','specialchar','auto','','',210,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT fe.id AS id, {{formId:P}} AS formId FROM FormElement AS fe WHERE fe.formId={{id:P}} ORDER BY fe.ord}}','recordDestinationTable=FormElement\ntranslateIdColumn=feIdContainer','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(752,4,0,'no','yes','status','Enabled','show','','native','checkbox','','specialchar','alnumx','','',10,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(753,4,0,'yes','yes','type','Type','show','','native','radio','','specialchar','alnumx','','',20,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(754,4,0,'no','yes','nextRun','Next run','show','','native','text','','specialchar','alnumx','','',30,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Cronjob will be started if specified timestamp is over. If timestamp=0: Job will never be started<br>Every time the jobs runs, this timestamp will be increased automatically by \"frequency\".','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(755,4,0,'no','yes','frequency','Frequency','show','','native','text','','specialchar','alnumx','','',40,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Repeat AutoCron-job with the specified interval. If empty: no repeating.<br>E.g.: \"1 DAY\", \"15 MINUTE\', \"6 MONTH\" - used directly in SQL-Function \"DATE_ADD(&lt;nextrun&gt;, INTERVAL &lt;frequency&gt;)\"','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(756,4,0,'no','yes','comment','Comment','show','','native','text','','specialchar','allbut','','',50,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(757,4,0,'yes','yes','sql1','Mail','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"show\",\"hidden\") }}','native','text','','none','all','','',60,0,'80,1,350','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Query: &#123;&#123;!SELECT ... as sendMailTo...&#125;&#125;<br><b>sendMailTo / sendMailCc / sendMailBcc</b>: Separate multiple by comma.<br><b>sendMailFrom</b><br><b>sendMailSubject</b><br><b>sendMailReplyTo</b>: Optional<br><b>sendMailFlagAutoSubmit</b>: Optional. on|off. Default on - if \"on\", suppresses OoO answers from receivers.<br><b>sendMailGrId</b>: Optional<br><b>sendMailXId</b>: Optional','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(758,4,0,'yes','yes','content','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"Mail body\",\"URL\") }}','show','','native','text','','none','all','','',70,0,'80,1,350','','default','','','','row,label,/label,input,/input,note,/note,/row','Website: URL absolute like \"http://...\" or relative like \"?id=pagealias...\"<br>Mail: Static Body or &#123;{SELECT ...&#125;}','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(759,4,0,'yes','yes','outputFile','Log output to file','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"hidden\",\"show\") }}','native','text','','none','all','','',80,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','CWD: Site installation directory','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(760,4,0,'yes','yes','outputMode','Mode output','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"hidden\",\"show\") }}','native','radio','','specialchar','alnumx','','',90,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','buttonClass=btn-default','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(761,4,0,'yes','yes','outputPattern','Pattern to look for on output','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"hidden\",\"show\") }}','native','text','','none','all','','',100,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','If pattern isn\'t found, return an error.<br>Check <a tabindex=\"-1\" href=\"https://secure.php.net/manual/en/pcre.pattern.php\">pcre</a> / <a tabindex=\"-1\" href=\"https://regex101.com/\">Regex101</a> ','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(762,4,0,'no','yes','lastRun','Last run','readonly','','native','text','','specialchar','alnumx','','',120,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(763,4,0,'no','yes','lastStatus','Laststatus','readonly','','native','text','','specialchar','alnumx','','',130,0,'80,1,350','','default','3','9','0','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49'),(764,4,0,'no','yes','inProgress','In progress since','show','','native','text','','specialchar','alnumx','','',140,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Start time of a running job. When job is finished, this will be set back to 0. A new job will only be started, if this is 0. A progress duration >10mins will be treated as an error.','','','','','','','no','2021-02-19 09:14:49','2021-02-19 09:14:49');
/*!40000 ALTER TABLE `FormElement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `FormSubmitLog`
--

DROP TABLE IF EXISTS `FormSubmitLog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `FormSubmitLog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formData` text NOT NULL,
  `sipData` text NOT NULL,
  `clientIp` varchar(64) NOT NULL,
  `feUser` varchar(64) NOT NULL,
  `userAgent` text NOT NULL,
  `formId` int(11) NOT NULL,
  `recordId` int(11) NOT NULL,
  `pageId` int(11) NOT NULL,
  `sessionId` varchar(32) NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `feUser` (`feUser`),
  KEY `formId` (`formId`)
) ENGINE=InnoDB AUTO_INCREMENT=1173 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `FormSubmitLog`
--

LOCK TABLES `FormSubmitLog` WRITE;
/*!40000 ALTER TABLE `FormSubmitLog` DISABLE KEYS */;
/*!40000 ALTER TABLE `FormSubmitLog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MailLog`
--

DROP TABLE IF EXISTS `MailLog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MailLog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grId` int(11) NOT NULL DEFAULT 0,
  `xId` int(11) NOT NULL DEFAULT 0,
  `xId2` int(11) NOT NULL DEFAULT 0,
  `xId3` int(11) NOT NULL DEFAULT 0,
  `receiver` text NOT NULL,
  `sender` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `header` varchar(2048) NOT NULL DEFAULT '',
  `attach` varchar(4096) NOT NULL DEFAULT '',
  `src` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MailLog`
--

LOCK TABLES `MailLog` WRITE;
/*!40000 ALTER TABLE `MailLog` DISABLE KEYS */;
/*!40000 ALTER TABLE `MailLog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Period`
--

DROP TABLE IF EXISTS `Period`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Period` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `start` (`start`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Period`
--

LOCK TABLES `Period` WRITE;
/*!40000 ALTER TABLE `Period` DISABLE KEYS */;
INSERT INTO `Period` VALUES (1,'2019-02-14 10:04:47','dummy','2019-02-14 10:04:47','2019-02-14 10:04:47');
/*!40000 ALTER TABLE `Period` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Setting`
--

DROP TABLE IF EXISTS `Setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('','tablesorter') NOT NULL,
  `readonly` enum('yes','no') NOT NULL DEFAULT 'no' COMMENT 'Settings can''t be modified.',
  `name` varchar(64) NOT NULL,
  `public` tinyint(1) NOT NULL,
  `feUser` varchar(32) NOT NULL COMMENT 'In case there is no logged in user, take QFQ cookie.',
  `tableId` varchar(64) NOT NULL,
  `view` text NOT NULL,
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `typeFeUserUidTableIdPublic` (`type`,`feUser`,`tableId`,`public`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Setting`
--

LOCK TABLES `Setting` WRITE;
/*!40000 ALTER TABLE `Setting` DISABLE KEYS */;
/*!40000 ALTER TABLE `Setting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Split`
--

DROP TABLE IF EXISTS `Split`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Split` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tableName` varchar(255) NOT NULL,
  `xId` int(11) NOT NULL,
  `pathFileName` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Split`
--

LOCK TABLES `Split` WRITE;
/*!40000 ALTER TABLE `Split` DISABLE KEYS */;
/*!40000 ALTER TABLE `Split` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-02-19 10:16:44
